<nb-card>
  <nb-card-header>Items Search</nb-card-header>
  <nb-card-body>

    <div class="row">
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group">
          <label for="id" class="label">Search by Id </label>
          <input type="text" nbInput fullWidth placeholder="Id" (keyup)="getFilterValue($event,'id')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group">
          <label for="name" class="label">Search by Name</label>
          <input type="text" nbInput fullWidth placeholder="Name" (keyup)="getFilterValue($event,'name')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group">
          <label for="category" class="label">Search by Category</label>
          <input type="text" nbInput fullWidth placeholder="Name" (keyup)="getFilterValue($event,'category')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group">
          <label for="date" class="label">Search by Date</label>
          <input type="text" nbInput fullWidth placeholder="Creation Date" (keyup)="getFilterValue($event,'date')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group">
          <label for="type" class="label">Search by type</label>
          <input type="text" nbInput fullWidth placeholder="Type" (keyup)="getFilterValue($event,'type')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group">
          <label for="subtype" class="label">Search by Sub-Type</label>
          <input type="text" nbInput fullWidth placeholder="Sub-Type" (keyup)="getFilterValue($event,'subtype')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group ">
          <label for="gender " class="label ">Search by Gender</label>
          <input type="text " nbInput fullWidth placeholder="Gender " (keyup)="getFilterValue($event,'gender')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group ">
          <label for="genderFit " class="label ">Search by Gender Fit</label>
          <input type="text " nbInput fullWidth placeholder="Gender Fit "
            (keyup)="getFilterValue($event,'genderFit')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group ">
          <label for="size " class="label ">Search by Size</label>
          <input type="text " nbInput fullWidth placeholder="Size " (keyup)="getFilterValue($event,'size')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group ">
          <label for="color " class="label ">Search by Color</label>
          <input type="text " nbInput fullWidth placeholder="Color " (keyup)="getFilterValue($event,'color')" />
        </div>
      </div>
      <div class="col-md-3 col-sm-6 col-12">
        <div class="form-group ">
          <label for="season " class="label ">Search by Season</label>
          <input type="text " nbInput fullWidth placeholder="Season " (keyup)="getFilterValue($event,'season')" />
        </div>
      </div>
    </div>

    <ng2-smart-table [settings]=" settings " [source]="source " (custom)="onCustomAction($event)"
      (deleteConfirm)="onDeleteConfirm($event) ">
    </ng2-smart-table>
  </nb-card-body>
</nb-card>
